> For the complete documentation index, see [llms.txt](https://docs.struct.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.struct.com/reference/settings/integration/webhooks/webhook-details/advanced-event-settings/additional-trigger-options.md).

# Additional trigger options

Additional trigger options available to advanced event settings.

### Asset updated

| Name               | Description                                            |
| ------------------ | ------------------------------------------------------ |
| Folder updates     | Select if the request shall fire on folder updates     |
| Asset type updates | Select if the request shall fire on asset type updates |
| Asset file updates | Select if the request shall fire on asset file updates |
| Tag updates        | Select if the request shall fire on tag updates        |
| Attribute updates  | Select if the request shall fire for attribute updates |

### Categories updated

| Name                            | Description                                                              |
| ------------------------------- | ------------------------------------------------------------------------ |
| Catalogue updates               | Select if the request shall fire when a catalogue is updated             |
| Parent category updates         | Select if the request shall fire when the category is moved              |
| Sort order updates              | Select if the request shall fire when the sort order is updated          |
| Specific catalogue updates only | Select if only updates in a specific catalogues should trigger a request |
| Attribute updates               | Select if the request shall fire for attribute updates                   |

### Enrichment insights changed

| Name                            | Description                                                                                             |
| ------------------------------- | ------------------------------------------------------------------------------------------------------- |
| Enrichment setups to trigger on | Select which enrichment setups should trigger a request                                                 |
| Only on completed change        | Select if the request shall only trigger for entities with insight completeness changes to or from 100% |

### Product updated

| Name                       | Description                                                                       |
| -------------------------- | --------------------------------------------------------------------------------- |
| Category updates           | Select if the request shall fire when the product category classification changes |
| Product structure updates  | Select if the request shall fire when the products product structure changes      |
| Variant definition updates | Select if the request shall fire on variation definition updates                  |
| Archiving status updates   | Select if the request shall fire when the product is archived or unarchived       |
| Attribute updates          | Select if the request shall fire for attribute updates                            |

### Variant group updated

| Name                     | Description                                                                       |
| ------------------------ | --------------------------------------------------------------------------------- |
| Category updates         | Select if the request shall fire when the product category classification changes |
| Archiving status updates | Select if the request shall fire when the product is archived or unarchived       |
| Attribute updates        | Select if the request shall fire for attribute updates                            |

### Variant updated

| Name                             | Description                                                                                    |
| -------------------------------- | ---------------------------------------------------------------------------------------------- |
| Product association change       | Select if the request shall fire when the variant is assigned to a new parent product          |
| Variant group association change | Select if the request shall fire when the variant is assigned to a new parent product          |
| Sort order updates               | Select if the request shall fire when the variant sort order is changed                        |
| Variant group sort order updates | Select if the request shall fire when the variant sort order is changed within a variant group |
| Archiving status updates         | Select if the request shall fire when the product is archived or unarchived                    |
| Attribute updates                | Select if the request shall fire for attribute updates                                         |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.struct.com/reference/settings/integration/webhooks/webhook-details/advanced-event-settings/additional-trigger-options.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
